#ifndef QATOOLS_WRITERS_MANAGER_H
#define QATOOLS_WRITERS_MANAGER_H

#include <Rtypes.h>
#include <TString.h>

#include <qaEvent.h>
#include <qaParticle.h>
#include <Utility.h>

class qaWriter_manager
{
private:
  /* data */
public:
  virtual ~qaWriter_manager();

  virtual void Init(std::string filename, std::string treename) = 0;
  virtual void WriteEvent(qaEvent* event) = 0;
  virtual void WriteParticle(qaParticle* particle) = 0;
  virtual void WriteTree() = 0;

  ClassDef(qaWriter_manager,0);
};

#endif
